import Vue from "vue";
import { throttle } from "lodash-es";
import { message } from "ant-design-vue";
import { logout } from "@/api/loginPage";
import { routeLogout } from "@/router";
import { useRoute } from "vue-router";

export const notifyInvalidTokenThrottled = throttle(() => {
  message.error({
    content: "登录失效，请重新登录！",
    duration: 10,
  });
  setTimeout(() => {
    const route = useRoute();
    logout().then(() =>
      routeLogout({ cause: "主动退出", redirectTo: route.fullPath })
    );
  }, 3000);
  console.log("登录失效");
}, 1000);
